.\" DAL DaGetRegDepth(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   08.05.2007               |
.\" +============================================+
.\"
.\"
.TH DAGETREGDEPTH "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaGetRegDepth \- obtain the number of register elements
.SH SYNOPSIS
.B int DaGetRegDepth(HANDLE \fIhandle\fB, int \fIrId\fB);
.SH DESCRIPTION
The \fIDaGetRegDepth()\fR function obtains the number of register elements.
Each register consists of at \fBleast\fR one or more elements, and each of them
have the \fBsame\fR size. In case of one element - a register should be treated
as \fInormal\fR one. In case of several elements one can consider such a \fIspecific\fR register either as a set of the \fInormal\fR registers (i.e. each
element is a register itself) that are grouped together for convenience, or it
can be just a chunk of memory with several elements, each of which are of the
same size.
.TP
.I handle
- is a library handle, returned by \fIDaEnableAccess()\fR call
.TP
.I rId
- is register ID that should be examine. ID of each Module register can be
found in \fI<ModuleName>RegId.h\fR file, which is located
in a standart include directory of a given Module:
\fI/ps/local/$(CPU)/drvrutil/include/<ModuleName>include\fR.
.SH RETURN VALUE
Number of elements in the register. Minimum one.
.TP
.B -DA_ERR_BAD_HANDLE
- provided handle is bad
.TP
.B -DA_ERR_NO_REG
- no such register
.TP
.B -DA_ERR_NOT_INIT
- library was not initialized, i.e. \fIDaEnableAccess()\fR was not called
.SH AUTHOR
Written by Yury Georgievskiy <ygeorgie@gmail.com>
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
